export default CommunicationsAPI;
declare namespace CommunicationsAPI {
    export { getCommunicationsList as getList };
    export { getCommunication as get };
    export { addCommunication as add };
    export { patchCommunication as patch };
    export { updateCommunication as update };
    export { deleteCommunication as delete };
    export { getCommunicationsLookup as getLookup };
}
declare function getCommunicationsList(params: any): Promise<{
    items: any;
    next: any;
}>;
declare function getCommunication({ itemId: id }: {
    itemId: any;
}): Promise<any>;
declare function addCommunication({ itemInstance }: {
    itemInstance: any;
}): Promise<any>;
declare function patchCommunication({ changes, id }: {
    changes: any;
    id: any;
}): Promise<any>;
declare function updateCommunication({ itemInstance, itemId: id }: {
    itemInstance: any;
    itemId: any;
}): Promise<any>;
declare function deleteCommunication({ id }: {
    id: any;
}): Promise<any>;
declare function getCommunicationsLookup(params: any): Promise<{
    items: any;
    next: any;
}>;
